    Set the RMF for use by a PHA data set.

set_rmf(id, rmf=None, resp_id=None, bkg_id=None)
id - int or str, optional
resp_id - int or str, optional
bkg_id - int or str, optional

Set the redistribution matrix for a PHA data set, or its background.

Copy the RMF from the default data set to data set 2:

>>> rmf1 = get_rmf() >>> set_rmf(2, rmf1)

Read in a RMF from the file 'bkg.rmf' and set it as the RMF for the background model of data set "core":

>>> rmf = unpack_rmf('bkg.rmf') >>> set_rmf('core', rmf, bkg_id=1)

PARAMETERS

The parameters for this function are:

Parameter
Definition
id
The data set to use. If not given then the default identifier is used, as returned by `get_default_id` .
rmf
An RMF, such as returned by `get_rmf` or `unpack_rmf` .
resp_id
The identifier for the RMF within this data set, if there are multiple responses.
bkg_id
Set this to identify the RMF as being for use with the background.

Notes

The function does not follow the normal Python standards for parameter use, since it is designed for easy interactive use. When called with a single un-named argument, it is taken to be the `rmf` parameter. If given two un-named arguments, then they are interpreted as the `id` and `rmf` parameters, respectively. The remaining parameters are expected to be given as named arguments.

If a PHA data set has an associated RMF - either from when the data was loaded or explicitly with the `set_rmf` function - then the model fit to the data will include the effect of the RMF when the model is created with `set_model` or

`set_source` . In this case the `get_source` function returns the user model, and `get_model` the model that is fit to the data (i.e. it includes any response information; that is the ARF and RMF, if set). To include the RMF explicitly, use

`set_full_model` .

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023